Groovy 1.7.0

## org.codehaus.groovy.control
Class Janitor

    java.lang.Object
      org.codehaus.groovy.control.Janitor

All Implemented Interfaces:
  HasCleanup

    class Janitor
    extends Object

An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

author:
  Chris Poirier

version:
  $Id: Janitor.java 10493 2008-01-19 10:23:02Z russel $

Constructor Summary
`Janitor()`

Method Summary
`void` | `cleanup()`
`void` | `register(HasCleanup object)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Janitor

    Janitor()

Method Detail

### cleanup

    public void cleanup()

### register

    public void register(HasCleanup object)

Copyright © 2003-2009 The Codehaus. All rights reserved.